Bug 1411133 - Hosted-Engine: iscsi activation storage failing
Summary: Hosted-Engine: iscsi activation storage failing
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General
Version: 2.1.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: ovirt-4.2.0
: ---
Assignee: Simone Tiraboschi
QA Contact: meital avital
URL:
Whiteboard:
Depends On: 1393902
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 16:38 UTC by Slava
Modified: 2017-11-05 11:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-05 11:10:36 UTC
oVirt Team: Integration
rule-engine: ovirt-4.2+


Attachments (Terms of Use)
web ui screenshot (115.99 KB, image/png)
2017-01-08 16:38 UTC, Slava
no flags Details
sanlock log (60.04 KB, text/plain)
2017-01-08 16:40 UTC, Slava
no flags Details
ovirt-hosted-engine-ha broker log (2.99 KB, text/plain)
2017-01-08 19:04 UTC, Slava
no flags Details
ovirt web ui "usehost" mssing (47.03 KB, image/png)
2017-01-08 19:32 UTC, Slava
no flags Details

Description Slava 2017-01-08 16:38:31 UTC
Created attachment 1238408 [details]
web ui screenshot

Description of problem:

Setup completes for hosted --deploy and engine, but storage never auto import or attach iscsi storage. Engine VM get paused and until I can release it with vdsmClient. 



[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20170107200437-t5msvn.log
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20170107200816-setup.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ INFO  ] Execution of setup completed successfully



Version-Release number of selected component (if applicable):

4.05


How reproducible:
1. Format Server.
2. Run installation per wiki page for hosted engine setup.
3. Setup reports completion 100%.
4. Log in into web ui.
5. Default domain reports status "Uninitialized"
6. Attempt to attach iscsi storage will fail ( Please see attached screenshot)
7. Log file shows the following on server him self. (Please see attached log). 


Actual results:

 iscsi activation storage failing

Expected results:

 iscsi storage activation succeeded 


Additional info:

Comment 1 Slava 2017-01-08 16:40:15 UTC
Created attachment 1238409 [details]
sanlock log

Comment 2 Slava 2017-01-08 19:04:19 UTC
Created attachment 1238441 [details]
ovirt-hosted-engine-ha broker log

Comment 3 Slava 2017-01-08 19:32:19 UTC
Created attachment 1238442 [details]
ovirt web ui "usehost" mssing

Comment 4 Slava 2017-01-08 19:34:43 UTC
Please see last screenshot "Use Host" unavailable from Manage Domain settings and impossible to save. That look like related to

VDSM hosted_engine_1 command failed: Cannot acquire host id: ('aaf27ad6-ef68-4fde-bd3a-a24ac3110b91', SanlockException(22, 'Sanlock lockspace add failure', 'Invalid argument'))

Comment 5 Simone Tiraboschi 2017-01-09 13:02:39 UTC
(In reply to Slava from comment #0)
> How reproducible:
> 1. Format Server.
> 2. Run installation per wiki page for hosted engine setup.
> 3. Setup reports completion 100%.
> 4. Log in into web ui.
> 5. Default domain reports status "Uninitialized"

Till here it's fine: it's up to the user to add the first regular storage domain, only at that point the data-center will come up and the auto-import procedure will trigger.

> 6. Attempt to attach iscsi storage will fail ( Please see attached
> screenshot)

Did you try creating the first regular (master) storage domain on the same iSCSI target were the hosted-engine storage domain was?
This is not supported, could you please try using two distinct iSCSI targets?

Comment 6 Slava 2017-01-09 16:32:56 UTC
(In reply to Simone Tiraboschi from comment #5)
> (In reply to Slava from comment #0)
> > How reproducible:
> > 1. Format Server.
> > 2. Run installation per wiki page for hosted engine setup.
> > 3. Setup reports completion 100%.
> > 4. Log in into web ui.
> > 5. Default domain reports status "Uninitialized"
> 
> Till here it's fine: it's up to the user to add the first regular storage
> domain, only at that point the data-center will come up and the auto-import
> procedure will trigger.
> 
> > 6. Attempt to attach iscsi storage will fail ( Please see attached
> > screenshot)
> 
> Did you try creating the first regular (master) storage domain on the same
> iSCSI target were the hosted-engine storage domain was?
> This is not supported, could you please try using two distinct iSCSI targets?


Hello Simone,
For this setup I have 1 iscsi storage. I am import existing iscsi storage be as master storage in ovirt. For this setup I don't have additional storage.  I see storage iscsi storage detached in "System" when I am trying attach to domain it failing.

Comment 7 Slava 2017-01-09 16:37:22 UTC
(In reply to Simone Tiraboschi from comment #5)
> (In reply to Slava from comment #0)
> > How reproducible:
> > 1. Format Server.
> > 2. Run installation per wiki page for hosted engine setup.
> > 3. Setup reports completion 100%.
> > 4. Log in into web ui.
> > 5. Default domain reports status "Uninitialized"
> 
> Till here it's fine: it's up to the user to add the first regular storage
> domain, only at that point the data-center will come up and the auto-import
> procedure will trigger.
> 
> > 6. Attempt to attach iscsi storage will fail ( Please see attached
> > screenshot)
> 
> Did you try creating the first regular (master) storage domain on the same
> iSCSI target were the hosted-engine storage domain was?

No I tried import/attach existing iscsi storage.  All action was done under default storage domain I didn't created any new one.

> This is not supported, could you please try using two distinct iSCSI targets?

Comment 8 Slava 2017-01-09 16:41:57 UTC
Till here it's fine: it's up to the user to add the first regular storage domain, only at that point the data-center will come up and the auto-import procedure will trigger


Do I need create local domain ? Just local disk ? I can dedicated in /var 40 GiB

Comment 9 Simone Tiraboschi 2017-01-09 17:08:48 UTC
The hosted-engine storage domain (the one you are going to create via ovirt-hosted-engine-setup) and your master storage domain (the one you are going to import) should be shared over two distinct iSCSI targets.

Comment 10 Slava 2017-01-09 17:17:21 UTC
So for each setup you need 2 iscsi targets ? One defined in setup procedure and one for import to activate default domain ?
Is possible create local file system from same server instead of second iscsi target ?

Comment 11 Simone Tiraboschi 2017-01-11 12:45:29 UTC
(In reply to Slava from comment #10)
> So for each setup you need 2 iscsi targets ? One defined in setup procedure
> and one for import to activate default domain ?

Yes, you need one for the hosted-engine storage domain and a different one for the storage domain you are going to use for regular VMs.

> Is possible create local file system from same server instead of second
> iscsi target ?

No

Comment 12 Yaniv Kaul 2017-11-05 11:10:36 UTC
I'm closing it as NEXTRELEASE - in 4.2, we hope the limitation mentioned in comment  11 is gone and you will be able to use a single target for both HE and non HE domains.


Note You need to log in before you can comment on or make changes to this bug.